Bug 64402 - Upgrade doesn't preserve grub config.
Upgrade doesn't preserve grub config.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-03 12:46 EDT by hjl
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-06 15:05:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/boot/grub/grub.conf.rpmsave (844 bytes, text/plain)
2002-05-03 13:47 EDT, hjl
no flags Details
/boot/grub/grub.conf (562 bytes, text/plain)
2002-05-03 13:48 EDT, hjl
no flags Details

  None (edit)
Description hjl 2002-05-03 12:46:24 EDT
When I upgrade to 7.3, all the extra boot entries in grub..conf are gone.
It used to work fine with lilo.
Comment 1 Jay Turner 2002-05-03 13:12:02 EDT
Please attach your resulting /etc/grub.conf file.
Comment 2 hjl 2002-05-03 13:47:39 EDT
Created attachment 56289 [details]
/boot/grub/grub.conf.rpmsave
Comment 3 hjl 2002-05-03 13:48:25 EDT
Created attachment 56290 [details]
/boot/grub/grub.conf
Comment 4 Jay Turner 2002-05-03 17:40:02 EDT
Actually, an upgrade performs a kernel installation, so that does indeed wipe
out the old kernels, and the result of that is that when grub gets rewritten,
then the old entries get dropped, as they are no longer installed on the system.
Comment 5 hjl 2002-05-03 18:39:13 EDT
What about custom kernels? Anaconda works fine with lilo in 7.1.
It preserves lables for custum kernels.
Comment 6 Jeremy Katz 2002-05-06 15:02:33 EDT
What option did you select on the upgrade boot loader screen?
Comment 7 hjl 2002-05-06 15:05:10 EDT
Here is my kickstart file.

----
lang en_US
#url --url http://china/RedHat-7.0
harddrive --partition sda5 --dir /redhat/cdrom/i386
network --bootproto dhcp
keyboard us
upgrade
bootloader --location mbr
reboot
Comment 8 Jeremy Katz 2002-05-06 15:06:49 EDT
Then it's doing exactly what you told it -- create a new bootloader config on
the MBR.  Use 'bootloader --upgrade' to get the behavior you want
Comment 9 hjl 2002-05-06 15:10:53 EDT
The old one in 7.1 is clever enough to know that
I already specified "upgrade" .
Comment 10 Jeremy Katz 2002-05-06 15:17:22 EDT
7.1 only had one boot loader to ever worry about.

Note You need to log in before you can comment on or make changes to this bug.